# WHOIS service

WHOIS service is a REST API microservice which checks whether an sk domain if free or already taken.
This service uses EPP interface of SK-NIC.

## Requirements

 - EPP account
 - docker
 - docker-compose

## Setup

Clone this repository and then create an `.env` file next to `docker-compose.yml` file.
The `.env` should contain EPP settings:
```
EPP_NAME=<EPP_NAME>
EPP_PASSWORD=<EPP_PASSWORD>
```

Afterwards, you can run this command:

``docker-compose run``

Service is available at `127.0.0.1:8000`. For example, you can try to send GET request like this: `curl 127.0.0.1:8000/domain/domainname.sk` .

The HTTP response code is `200` if `domainname.sk` is already registered. Response payload is in the following form:

```
{
    "domain": "domainname.sk",
    "exp_date": "2018-06-24T23:59:59.0Z"
}
```

The HTTP response code is `404` if `domainname.sk` is free and it's possible to register. Response payload is in the following form:
```
{
    "domain": "domainname.sk"
}
```